catalog:
  title: Theano Tensor Library

templates:
- github
- setuptools
- base

variables:
  description: >-
    Python Tensor library
  keywords:
  - deep learning
  - machine learning
  recipe.maintainer:
  - fpatzelt@techfak.uni-bielefeld.de

  github.user: Theano
  github.project: Theano

  branches:
  - master
  - 0.9.X
  - 0.8.X
  tags:
  - rel-0.9.0
  - rel-1.0.1
  - rel-1.0.4

  platform-requires:
    ubuntu:
      packages:
      - python2.7
      - python2.7-dev
      - python-setuptools
      - python-pip
      - '@{next-value|[]}'

  extra-requires:
  - nature: setuptools
    target: pygpu
  extra-provides:
  - nature: setuptools
    target: theano
